package ru.yandex.qe.dispenser.domain.index;

import java.util.function.Supplier;

import org.jetbrains.annotations.NotNull;

public class SupplierImpl<T> implements Supplier<T> {
    @NotNull
    private final T obj;

    public SupplierImpl(@NotNull final T obj) {
        this.obj = obj;
    }

    @NotNull
    @Override
    public T get() {
        return obj;
    }
}
